<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.muyu</groupId>
        <artifactId>cloud-server</artifactId>
        <version>3.6.3</version>
    </parent>
    <dependencies>
        <dependency>
            <groupId>io.swagger.core.v3</groupId>
            <artifactId>swagger-annotations-jakarta</artifactId>
            <version>2.2.8</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-security</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.groovy</groupId>
            <artifactId>groovy</artifactId>
        </dependency>
    </dependencies>
    <modelVersion>4.0.0</modelVersion>

    <modules>
        <module>cloud-modules-system</module>
        <module>cloud-modules-gen</module>
        <module>cloud-modules-file</module>
        <module>cloud-modules-enterprise</module>
        <module>cloud-modules-vehicle-gateway</module>
        <module>cloud-modules-processing</module>
        <module>cloud-modules-protocol-parsing</module>
    </modules>

    <artifactId>cloud-modules</artifactId>
    <packaging>pom</packaging>

    <description>
        cloud-modules业务模块
    </description>

</project>
